# Copyright © 2015 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=5

inherit autotools

DESCRIPTION="Tools for recording and playing back PS/2 devices on Linux"
HOMEPAGE="https://github.com/Lyude/ps2emu"
SRC_URI="https://github.com/Lyude/ps2emu/archive/v1.0.1.tar.gz"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="dev-libs/glib:2"
DEPEND="virtual/pkgconfig
	$RDEPEND"

src_prepare() {
	cp "$FILESDIR/userio.h" ps2emu-kmod/
	eautoreconf
}
